import { FunctionComponent } from 'react';
export declare const validChildComponents: {
    reportPreviewSettings: {
        component: import("react").FC<{
            children: import("react").ReactNode | import("react").ReactNode[];
        }>;
        children: {
            progressbarSettings: {
                component: FunctionComponent<{
                    position?: string;
                    keepOnVisibleArea?: boolean;
                }>;
            };
            exportSettings: {
                component: FunctionComponent<{
                    useSameTab?: boolean;
                    useAsynchronousExport?: boolean;
                    showPrintNotificationDialog?: boolean;
                }>;
            };
            searchSettings: {
                component: FunctionComponent<{
                    useAsyncSearch?: boolean;
                    searchEnabled?: boolean;
                }>;
            };
        };
    };
    wizardSettings: {
        component: FunctionComponent<{
            useMasterDetailWizard?: boolean;
            enableJsonDataSource?: boolean;
            enableSqlDataSource?: boolean;
            enableObjectDataSource?: boolean;
            enableFederationDataSource?: boolean;
            useFullscreenWizard?: boolean;
            reportWizardTemplatesSearchBoxVisibility?: import("devexpress-reporting/dx-reportdesigner").SearchBoxVisibilityMode;
        }>;
    };
    dataSourceSettings: {
        component: FunctionComponent<{
            allowAddDataSource?: boolean;
            allowRemoveDataSource?: boolean;
            allowEditDataSource?: boolean;
        }>;
    };
    parameterEditingSettings: {
        component: FunctionComponent<{
            allowReorderParameters?: boolean;
            allowEditParameterCollection?: boolean;
            allowEditProperties?: boolean;
            allowEditParameterGroups?: boolean;
            allowEditParameterSeparators?: boolean;
        }>;
    };
};
type DesignerModelSettingsPropsType = {
    allowMDI?: boolean;
    rightToLeft?: boolean;
    children?: React.ReactNode | React.ReactNode[];
};
declare const DesignerModelSettings: FunctionComponent<DesignerModelSettingsPropsType>;
export default DesignerModelSettings;
