import PropTypes from 'prop-types';
import PreviewSettings from './PreviewSettings';
import WizardSettings from './WizardSettings';
import DataSourceSettings from './DataSourceSettings';
import { validChildComponents as reportPreviewValidChildrenComponents } from './PreviewSettings';
import ParameterEditingSettings from './ParameterEditingSettings';
export const validChildComponents = {
    'reportPreviewSettings': { component: PreviewSettings, children: reportPreviewValidChildrenComponents },
    'wizardSettings': { component: WizardSettings },
    'dataSourceSettings': { component: DataSourceSettings },
    'parameterEditingSettings': { component: ParameterEditingSettings },
};
const DesignerModelSettings = () => null;
DesignerModelSettings.displayName = 'DxReportDesignerDesignerModelSettings';
DesignerModelSettings.propTypes = {
    allowMDI: PropTypes.bool,
    rightToLeft: PropTypes.bool,
    children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node])
};
export default DesignerModelSettings;
