import React from 'react';
import { Popover } from 'devextreme-react/popover';
const EditorDescriptionPopover = ({ data }) => {
    const ref = React.useRef();
    const [container, setContainer] = React.useState();
    React.useEffect(() => {
        const element = ref.current.instance().element();
        setContainer(data.getPopupContainer(element));
    }, [data]);
    return (React.createElement(Popover, { ref: ref, container: container, target: data.target, position: "bottom", showCloseButton: false, onHiding: data.onHiding, hideOnOutsideClick: true, hideOnParentScroll: true, width: "350px", visible: data.visible },
        React.createElement("div", { className: "propertygrid-editor-description-popover-content" },
            React.createElement("span", null, data.data))));
};
export default EditorDescriptionPopover;
