import React from 'react';
import { CheckBox } from 'devextreme-react/check-box';
import Validator from 'devextreme-react/validator';
import { useEditorOptions, useValidatorOptions } from '../editorHooks';
const BooleanEditor = ({ data }) => {
    const checkBoxRef = React.useRef();
    const args = {
        getEditorOptions: () => ({
            value: data.value,
            disabled: data.disabled,
            elementAttr: { 'aria-label': data.displayName }
        })
    };
    const options = useEditorOptions(checkBoxRef, data, args);
    const validatorOptions = useValidatorOptions(data);
    return (React.createElement(CheckBox, { ref: checkBoxRef, className: "propertygrid-editor-checkbox", value: options.value, disabled: options.disabled, elementAttr: options.elementAttr, onValueChanged: options.onValueChanged, onInitialized: options.onInitialized }, data.validationRules && React.createElement(Validator, { validationRules: validatorOptions.validationRules })));
};
export default BooleanEditor;
