import { SelectBoxEditorBase } from '../SelectBox';
import { getLocalization } from '@devexpress/analytics-core/property-grid/localization/_localization';
const LocalizedSelectBoxEditor = ({ data }) => {
    const getEditorOptions = () => ({
        dataSource: data.values.map(x => ({
            value: x.value,
            displayValue: getLocalization(x.displayValue, x.localizationId)
        })),
        value: data.value,
        valueExpr: 'value',
        displayExpr: 'displayValue',
        disabled: data.disabled,
        inputAttr: {
            'aria-label': data.displayName,
            'id': data.editorInputId
        }
    });
    return SelectBoxEditorBase(getEditorOptions)({ data });
};
export default LocalizedSelectBoxEditor;
