import React from 'react';
import { NumberBox } from 'devextreme-react/number-box';
import Validator from 'devextreme-react/validator';
import { useEditorOptions, useValidatorOptions } from '../editorHooks';
const NumericEditor = ({ data }) => {
    const numberBoxRef = React.useRef();
    const args = {
        getEditorOptions: () => ({
            value: data.value,
            showSpinButtons: true,
            disabled: data.disabled,
            inputAttr: { 'aria-label': data.displayName, id: data.editorInputId }
        })
    };
    const options = useEditorOptions(numberBoxRef, data, args);
    const validatorOptions = useValidatorOptions(data);
    return (React.createElement(NumberBox, { ref: numberBoxRef, value: options.value, showSpinButtons: options.showSpinButtons, inputAttr: options.inputAttr, disabled: options.disabled, onValueChanged: options.onValueChanged }, data.validationRules && React.createElement(Validator, { validationRules: validatorOptions.validationRules })));
};
export default NumericEditor;
