import TabPanel from './TabPanel';
import Actions from './Actions';
import Designer from './Designer';
import PropertyGrid from './Properties/PropertyGrid';
import EditorBase from './Properties/Editors/EditorBase';
import ObjectEditor from './Properties/ObjectEditor';
import TreelistItem from './Widgets/Treelist/TreelistItem';
import TreelistItemTextContent from './Widgets/Treelist/TreelistItemTextContent';
import TreelistHeaderItem from './Widgets/Treelist/TreelistHeaderItem';
import TreelistHeadItemCaption from './Widgets/Treelist/TreelistHeadItemCaption';
import TextBoxEditor from './Properties/Editors/TextBox';
import BooleanEditor from './Properties/Editors/Boolean';
import NumericEditor from './Properties/Editors/Numeric';
import SelectBoxEditor from './Properties/Editors/SelectBox';
import LocalizedSelectBox from './Properties/Editors/LocalizedSelectBox';
import BoolSelectEditor from './Properties/Editors/BoolSelect';
import ColorPickerEditor from './Properties/Editors/ColorPicker';
import DateEditor from './Properties/Editors/Date';
import CollectionEditor from './Properties/CollectionEditor';
export const analyticsTemplates = {
    'dxrd-right-panel-template-base': TabPanel,
    'dxrd-toolbar-tmplt': Actions,
    'dx-propertieseditor': PropertyGrid,
    'dx-text': TextBoxEditor,
    'dx-number-editor': TextBoxEditor,
    'dx-date': DateEditor,
    'dx-selectbox': SelectBoxEditor,
    'dx-boolean-select': BoolSelectEditor,
    'dx-treelist-item': TreelistItem,
    'dx-treelist-item-text-content': TreelistItemTextContent,
    'dx-treelist-header-item': TreelistHeaderItem,
    'dx-treelist-header-item-caption-content': TreelistHeadItemCaption,
    'dxrd-guid': TextBoxEditor,
    'dx-property-editor': EditorBase,
    'dx-objectEditorContent': ObjectEditor,
    'dx-boolean': BooleanEditor,
    'dx-combobox': LocalizedSelectBox,
    'dx-numeric': NumericEditor,
    'dxrd-colorpicker': ColorPickerEditor,
    'dx-collectioneditor': CollectionEditor,
    'dx-designer': Designer,
};
