import React from 'react';
const TextEditingField = ({ data }) => {
    const [value, setValue] = React.useState(data.value.toString());
    const handleValueChanged = value => {
        setValue(value);
        data.value = value;
    };
    return (React.createElement("textarea", { className: "dxrp-editing-field-text", value: value, onChange: e => handleValueChanged(e.target.value), style: data.textStyle, onBlur: () => data.hideEditor(true), onKeyUp: event => data.keypressAction(data, event.nativeEvent), onInput: event => data.onInput(data, event.nativeEvent) }));
};
export default TextEditingField;
