import React from 'react';
import { Popup } from 'devextreme-react/popup';
import Template from '../../../../core/Template';
import useDxParentContainer from '../../hooks/mobileParentContainer';
import { ViewModelChangedEvent } from '@devexpress/analytics-core/serializer/native/viewModels/viewModelGenerator';
import useDxForceRerender from '../../../../../hooks/dxForceRerender';
const MobileParametersPopup = ({ data }) => {
    const [ref, parentContainer] = useDxParentContainer();
    const forceRerender = useDxForceRerender();
    React.useEffect(() => {
        const eventHolder = data;
        return eventHolder._viewModelEvents?.on(ViewModelChangedEvent, forceRerender);
    }, []);
    const renderContent = () => {
        if (!data.visible)
            return null;
        return React.createElement(Template, { template: "dxrv-preview-parameters-mobile", data: data });
    };
    return (React.createElement(Popup, { ref: ref, wrapperAttr: { class: 'dxrd-menu-parameters-popup' }, showTitle: false, onHidden: event => data.onHidden(event), width: "100vw", height: "100vh", visible: data.visible, container: parentContainer, contentRender: renderContent }));
};
export default MobileParametersPopup;
