import React from 'react';
import Template from '../../../../core/Template';
import LazyTemplate from '../../../../core/LazyTemplate';
import useDxAccordion from '../../../../../hooks/dxAccordion';
const EditorLabel = ({ data }) => {
    const cssClasses = ['dx-field-label', 'dxrd-group-label', 'dx-accordion-header', 'dxd-text-primary'];
    data.templateName === 'dx-emptyHeader' && cssClasses.push('dx-accordion-empty');
    data.isGroupLabel && cssClasses.push('dxd-back-secondary');
    data.alwaysShow && cssClasses.push('dx-accordion-hide-collapsing-image');
    return (React.createElement("div", { className: cssClasses.join(' '), style: { paddingLeft: data.padding['padding-left'] + 'px' } },
        data.isComplexEditor &&
            //<div disabled={data.templateName !== 'dx-emptyHeader'}>
            React.createElement("div", null,
                !data.alwaysShow && React.createElement(Template, { template: "dxrd-svg-collapsed", className: `dx-collapsing-image  dxrd-display-inline-block ${!data.collapsed ? 'dx-image-expanded' : ''}` }),
                React.createElement("div", { className: "dx-group-header-font", title: data.displayName, "data-bind": data.textToSearch ? 'searchHighlighting: { text: displayName, textToSearch: textToSearch }' : undefined }, !data.textToSearch && data.displayName)),
        !data.isComplexEditor && React.createElement("label", { className: `propertygrid-editor-displayName ${data.isRequired ? 'dx-field-label-required' : ''}`, title: data.displayName, htmlFor: data.editorInputId, style: { fontWeight: data.isPropertyModified ? 'Bold' : '' }, "data-bind": data.textToSearch ? 'searchHighlighting: { text: displayName, textToSearch: textToSearch }' : undefined }, !data.textToSearch && data.displayName)));
};
const PropertyEditor = ({ data }) => {
    const accordionRef = React.useRef();
    useDxAccordion(accordionRef, data);
    const treeItemCssClasses = ['dx-field'];
    data.isComplexEditor && treeItemCssClasses.push('dxrd-accessibility-accordion-trigger');
    data.isComplexEditor && treeItemCssClasses.push('dx-accessibility-focus-border-accented');
    data.editorOptions?.hasVerticalLabel && treeItemCssClasses.push('dxrd-vertical-label');
    const isResolved = (newVal) => data.setIsRendered(newVal);
    return (React.createElement("div", { className: "dx-editor", hidden: !data.visible },
        React.createElement("div", { className: "dx-group", ref: accordionRef },
            React.createElement("div", { className: `dx-editor-header ${data.hideEditorHeader ? 'dxrd-empty-header' : ''}` }, !data.hideEditorHeader &&
                React.createElement("div", { className: treeItemCssClasses.join(' '), role: "treeitem", id: data.isComplexEditor ? data.headerId : undefined, "aria-owns": data.isComplexEditor && data.contentId, "aria-expanded": data.isComplexEditor && (data.alwaysShow || !data.collapsed ? true : false) },
                    React.createElement(EditorLabel, { data: data }),
                    React.createElement("div", { className: `dx-field-value ${data.isPropertyHighlighted ? 'dxd-border-accented' : ''}` }, data.templateName !== 'dx-emptyHeader' && React.createElement(LazyTemplate, { isResolved: isResolved, template: data.templateName, data: data })))),
            data.isComplexEditor &&
                React.createElement("div", { className: "dx-editor-content dx-accordion-content", role: "group", id: data.contentId, "aria-labelledby": data.headerId, "aria-hidden": !data.alwaysShow && data.collapsed ? true : false }, data.editorCreated && React.createElement(Template, { template: data.contentTemplateName, data: data })))));
};
export default PropertyEditor;
