import Breadcrumbs from './ReportPreview/Breadcrumbs';
import Brick from './ReportPreview/Brick';
import BrickClickable from './ReportPreview/BrickClickable';
import ExportOptions from './ExportOptions';
import ExportTo from './Toolbar/ExportTo';
import Page from './ReportPreview/Page';
import Pager from './Toolbar/Pager';
import ProgressBar from './ReportPreview/ProgressBar';
import Search from './Search';
import Surface from './ReportPreview/Surface';
import ToolbarContent from './Toolbar/ToolbarContent';
import Zoom from './Toolbar/Zoom';
import ParametersPanel from './ParametersPanel';
import DocumentMap from './DocumentMap';
import AIPanel from './AIPanel/AIPanel';
import Editor from './ParametersPanel/Editor/Editor';
import EditorContent from './ParametersPanel/Editor/EditorContent';
import GroupEditor from './ParametersPanel/Editor/GroupEditor';
import EditingFieldContainer from './Editing/TextField/Container';
import EditingFieldText from './Editing/TextField/Text';
import EditingFieldMask from './Editing/TextField/Mask';
import EditingFieldDateTime from './Editing/TextField/DateTime';
import EditingFieldNumber from './Editing/TextField/Number';
import CharacterComb from './Editing/CharacterComb';
import CheckBoxEditingField from './Editing/CheckField/CheckBox';
import RadioEditingField from './Editing/CheckField/Radio';
import ImageEditingFieldComponent from './Editing/ImageEditingField/ImageEditingFieldComponent';
import ImageEditingFieldEditor from './Editing/ImageEditingField/ImageEditingFieldEditor';
import PopupImageEditingField from './Editing/PopupImageEditingField';
import CheckBoxGlyph from './Editing/CheckField/CheckBoxGlyph';
import ExportTool from './Editing/ExportTool';
import Calendar from './ParametersPanel/DateRange/Calendar';
import ParametersSeparator from './ParametersPanel/ParametersSeparator';
import DateRangePopupContainer from './ParametersPanel/DateRange/PopupContainer';
import DateRange from './ParametersPanel/DateRange/DateRange';
import DateRangeMobile from './ParametersPanel/DateRange/Mobile';
import SignatureEditor from './Widgets/SignatureEditor';
import MultiValue from './ParametersPanel/MultiValue/MultiValue';
import MultiValueEditable from './ParametersPanel/MultiValue/MultiValueEditable';
import PictureEditingToolbarOptions from './Widgets/PictureEditor/ToolbarPopup/PictureEditorToolbarPopup';
import PictureEditingBrushOptions from './Widgets/PictureEditor/BrushOptions/PictureEditingBrushOptions';
import PictureEditingImagePicker from './Widgets/PictureEditor/ImagesPicker/PictureEditingImagesPicker';
import PictureEditingSizeOptions from './Widgets/PictureEditor/SizeOptions/PictureEditingSizeOptions';
import PictureEditingImagePickerWithFilter from './Widgets/PictureEditor/ImagesPickerWithFilter/PictureEditingImagesPickerWithFilter';
import MobileSearch from './Mobile/Search';
import MobileSurface from './Mobile/Surface';
import MobilePaginator from './Mobile/Pages';
import MobilePage from './Mobile/Page';
import MobileActions from './Mobile/Actions/MobileActions';
import MobileActionsExport from './Mobile/Actions/MobileActionsExport';
import MobileParametersPopup from './Mobile/Parameters/MobileParametersPopup';
import MobileParameters from './Mobile/Parameters/MobileParameters';
import MobileParametersDateRange from './Mobile/Parameters/MobileParametersDateRange';
export const reportingTemplates = {
    'dxrd-preview-pager': Pager,
    'dxrd-zoom-autofit-select-template': Zoom,
    'dxrd-preview-export-to': ExportTo,
    'dxrd-preview-toolbar-scrollable': ToolbarContent,
    'dxrd-preview-breadcrumb': Breadcrumbs,
    'dxrd-preview-parameters': ParametersPanel,
    'dxrd-parameters-property-editor': Editor,
    'dxrdv-signature': SignatureEditor,
    'dxrd-multivalue': MultiValue,
    'dxrd-preview-export-options': ExportOptions,
    'dxrd-preview-document-map': DocumentMap,
    'dxrd-preview-ai-panel': AIPanel,
    'dxrd-multivalue-editable': MultiValueEditable,
    'dxrv-range-parameter': DateRange,
    'dxrv-daterange-editor-popup': DateRangePopupContainer,
    'dxrv-daterange-calendar': Calendar,
    'dxrdp-surface': Surface,
    'dxrd-preview-page': Page,
    'dxrd-parameters-editor-content': EditorContent,
    'dxrd-propertieseditor': GroupEditor,
    'dxrd-preview-search': Search,
    'dxrd-page-brick-mobile': Brick,
    'dxrd-page-brick-clickable': BrickClickable,
    'dxrd-parameters-separator': ParametersSeparator,
    'dxrp-editing-field-container': EditingFieldContainer,
    'dxrp-editing-field-text': EditingFieldText,
    'dxrp-editing-field-mask': EditingFieldMask,
    'dxrp-editing-field-datetime': EditingFieldDateTime,
    'dxrp-editing-field-number': EditingFieldNumber,
    'dxrp-character-comb-editing-field': CharacterComb,
    'dxrp-editing-field-checkbox': CheckBoxEditingField,
    'dxrp-editing-field-radio': RadioEditingField,
    'dxrp-editing-field-image': ImageEditingFieldComponent,
    'dxrp-editing-field-image-editor': ImageEditingFieldEditor,
    'dxrp-popup-editing-field-image': PopupImageEditingField,
    'dx-picture-editing-toolbar-popup': PictureEditingToolbarOptions,
    'dx-picture-editing-brush-options': PictureEditingBrushOptions,
    'dx-picture-editing-sizemode-alignment': PictureEditingSizeOptions,
    'dx-picture-editing-imagespicker': PictureEditingImagePicker,
    'dx-picture-editing-imagepickerwithfilter': PictureEditingImagePickerWithFilter,
    'dxrd-preview-progress-bar': ProgressBar,
    'dxrd-export-tool': ExportTool,
    'dxrd-checkboxcustomglyph': CheckBoxGlyph,
    'dxrdp-surface-mobile': MobileSurface,
    'dxrd-preview-page-mobile': MobilePage,
    'dxrdp-surface-mobile-bottom': MobileActions,
    'dxrd-menu-parameters-content': MobileParametersPopup,
    'dxrv-preview-parameters-mobile': MobileParameters,
    'dxrv-range-parameter-mobile': MobileParametersDateRange,
    'dxrv-preview-date-range-mobile': DateRangeMobile,
    'dxrd-menu-export-content': MobileActionsExport,
    'dxrdp-search-mobile': MobileSearch,
    'dxrdp-pages-mobile': MobilePaginator,
};
