import React from 'react';
import { dxEllipsisEditor } from '@devexpress/analytics-core/property-grid/widgets/ellipsiseditor/_editor';
const useDxEllipsisEditor = (options) => {
    const ref = React.useRef();
    const [editor, setEditor] = React.useState();
    React.useEffect(() => {
        const editorInstance = new dxEllipsisEditor(ref.current, options);
        setEditor(editorInstance);
        return () => {
            editorInstance?.dispose();
            setEditor(null);
        };
    }, []);
    React.useEffect(() => {
        editor?._updateOptions(options);
    });
    return ref;
};
export default useDxEllipsisEditor;
