import React from 'react';
import { accesibilitySettingsContext } from '../components/core/AccessibilitySettingsProvider';
import { initializeMutationObserver } from '@devexpress/analytics-core/accessibility/_dxMutationObserver';
const useDxMutationObserver = (ref, args) => {
    const accesibilitySetting = React.useContext(accesibilitySettingsContext);
    React.useEffect(() => {
        if (args && ref.current)
            return initializeMutationObserver(ref.current, args, accesibilitySetting.accessibilityCompliant);
        return () => { };
    }, [args, ref.current]);
};
export default useDxMutationObserver;
