import React from 'react';
import { initializeBaseResizableOptions, initializeResize } from '@devexpress/analytics-core/core/internal/_resizable';
const useDxResizable = (ref, options) => {
    const [subscription, setSubscription] = React.useState();
    React.useEffect(() => {
        if (!subscription && options) {
            setSubscription(() => initializeResize(ref.current, initializeBaseResizableOptions(options)));
        }
        return () => {
            subscription && subscription();
            setSubscription(undefined);
        };
    }, [options]);
};
export default useDxResizable;
